~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*      REQUIREMENTS        *
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

To make this package you need the following tools/libs:

GTK+ 2.4.0
http://www.gtk.org


~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* UPGRADE FROM 2.0x to 2.4 *
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Begining from version 2.4 Downloader for X uses .ntrc_2 directory in your
home directory to store its configuration data, queues of downloads etc.
The main reason to change default directory is switching from GTK1.x to GTK2.
GTK2 is fully unicode library so D4X have to be unicode too. If you want to
convert your old .ntrc data to new just recode them to utf8 code page.
For example in my case I've used next command (bash):

for i in ~/ntrc/*; do iconv -f koi8-r -t utf8 $i>~/ntrc_2/`basename $i'; done

You can use another codepage converting tool instead of 'iconv' and most of
you have to use another codepage instead of 'koi8-r'


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* --enable-extra-optimize notes *
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

To get even more hardcore optimized code it is recommended to
specify architecture specific options (like code and data align)
in $prefix/etc/config.site file by defining CXXFLAGS like this:

CXXFLAGS="-march=athlon-xp -mfpmath=387,sse"

Alternative method to specify config.site location is to use
CONFIG_SITE environment variable.

Also to set architecture specific options you can define CXXFLAGS
just before running ./configure script in command line.
Read gcc manual to get list of supported architecture options.

BTW, it is not neccessary to specify both --enable-release and
--enable-extra-optimize options... -- read ./configure --help
once again :)
